Subject: Re: [RFC] updated Patch to option HSO driver to the kernel

From: Christoph Hellwig <[email-masked]>
Date: Fri, 25 Apr 2008 12:09:35 -0400

On Fri, Apr 25, 2008 at 03:03:30PM +0200, Oliver Neukum wrote:
> Am Freitag, 25. April 2008 14:31:47 schrieb Paulius Zaleckas:
> > - do we really need ethtool support? It always reports that
> > ?? ??link is up... The only useful information is driver name,
> > ?? ??version and USB path... Is it worth it?
> 
> Yes. NetworkManager does strange things to devices without ethtool
> support. NetworkManager is important.

So we hack around broken userspace in the kernel now?  What about using
your energy to fix up NetworkManager (yes, I know it's crap code, but
life is hard sometimes)

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html